<?php
class ModelExtensionPaymentAdumo extends Model {
    /**
     * This method will check if our table exists. If it doesn't exist then it
     * will be created.
     */
    public function install(){
        $this->db->query("
            CREATE TABLE IF NOT EXISTS `" . DB_PREFIX . "adumo_order` (
                `customer_payment_token_id` int(11) NOT NULL AUTO_INCREMENT,
                `customer_id` int(11) NOT NULL,
                `payment_method` varchar(255) NOT NULL,
                `token` varchar(255) NOT NULL,
                PRIMARY KEY (`customer_payment_token_id`)
            ) ENGINE=MyISAM DEFAULT CHARSET=utf8;
        ");
    }

    /**
     * This method will check if our table exists. If it does then it will be
     * dropped.
     */
    public function uninstall(){
        $this->db->query("DROP TABLE IF EXISTS `" . DB_PREFIX . "adumo_order`");
    }
}
?>